Bug 85579 - Packge management: Unable to add software/packages after running up2date.
Packge management: Unable to add software/packages after running up2date.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-04 13:40 EST by Loc Dao
Modified: 2007-04-18 12:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 17:37:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Loc Dao 2003-03-04 13:40:45 EST
Description of problem:
Package Managements: Unable to add software/packages after system is up2dated

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Install Redhat Linux 8.0 with few items NOT installed, such as the gcc compiler
2.   Run up2date and update to current packages. 
3.   Go back and try to add gcc compiler (Click on Red Hat -> System Settings ->
Packages)

    
Actual results:
Package Managements will fail with such messages as "failed.... dependent
packages are ... pam-0.75-10 is required.  (Sorry, I reload my system so I don't
 have the actual message).  I did a "rpm -qa|grep" and notice that the
package(s) were updated to newer version (such as pam-0.75-16).  This is true
for any other UNINSTALLED packages prior to running up2date.


Expected results:
Packages to be added regardless of what version of the dependent packages to be.

Additional info:
Comment 1 Frédéric MALADRI 2003-03-26 04:16:20 EST
I have the same problem.
I have installed the last pam package for update my system for fix the security
problem with samba.
Actually I can't remove the pam package (pam-0.75-46.8.0.src.rpm) that I have
installed.
Do you know how I could do this?
Comment 2 Ray King 2003-04-23 13:15:26 EDT
I have a similar problem with RH 9.  I did a selective installation and later 
needed the gcc compiler.  I tried to use the Package Management utility 
provided with RedHat on the Gnome desktop to add the development packages and 
it gave me an error 'unlocatable packages'.  I queried the packages listed by 
the package management app and they were already installed.  The packages that 
I had installed were newer than the ones requested.  I noticed that the up2date 
application updated the files earlier to a newer version.  From what I have 
seen it appears that the Package Management app is useless once the up2date app 
has updated files that are required by the packages on the CD.  I suggest that 
either the packages support newer dependices or that the Package Management app 
supply a --nodependency function to force an installation.
Comment 3 Tomas Mraz 2004-09-21 09:13:57 EDT
This has nothing to do with pam.

Note You need to log in before you can comment on or make changes to this bug.